# Contract Data Entry Updates

For contract data entry updates, there are 3 queries, all with the same body:

* `entryUpdateByContractId`
* `entryUpdateByContractIdAndKey`
* `allEntryUpdates`

For example, to get the last 10 entries of a certain contract:

```graphql
query MyQuery {
  entryUpdateByContractId(contract: "CONTRACT_ID", lastN: 10) {
    nodes {
      contractId
      keyXdr
      txInfoByTx {
        txHash
        memo
        opCount
        fee
        ledgerByLedger {
          closeTime
          sequence
        }
      }
      valueXdr
    }
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mercurydata.app/mercury-classic/queries/contract-data-entry-updates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
